<?php 
// Show Bottom
$wp_customize->add_setting ( 
    'show_bottom',
    array (
        'sanitize_callback' => 'themesflat_sanitize_checkbox' ,
        'default' => themesflat_customize_default('show_bottom'),     
    )
);
$wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
    'show_bottom',
    array(
        'type'      => 'checkbox',
        'label'     => esc_html__('Bottom ( OFF | ON )', 'carenow'),
        'section'   => 'section_bottom',
        'priority'  => 1
    ))
);

$wp_customize->add_setting(
    'bottom_style',
    array(
        'default'           => themesflat_customize_default('bottom_style'),
        'sanitize_callback' => 'esc_attr',
    )
);
$wp_customize->add_control(
    'bottom_style',
    array(
        'type'      => 'select',           
        'section'   => 'section_bottom',
        'priority'  => 2,
        'label'     => esc_html__('Styles', 'carenow'),
        'choices'   => array(
            'bottom-style1'     => esc_html__( 'Style 1', 'carenow' ),
            'bottom-style2'     => esc_html__( 'Style 2', 'carenow' ),              
        ),
        'active_callback' => function() use ( $wp_customize ) {
            return 1 === $wp_customize->get_setting( 'show_bottom' )->value();
        },
    )
);

$wp_customize->add_setting(
    'bottom_logo',
    array(
        'default' => themesflat_customize_default('bottom_logo'),
        'sanitize_callback' => 'esc_url_raw',
    )
);    
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'bottom_logo',
        array(
           'label'          => esc_html__( 'Upload Your Logo', 'carenow' ),
           'type'           => 'image',
           'section'        => 'section_bottom',
           'priority'       => 3,
           'active_callback' => function() use ( $wp_customize ) {
                return 1 === $wp_customize->get_setting( 'show_bottom' )->value();
            },
        )
    )
);
  
// Footer Copyright
$wp_customize->add_setting(
    'footer_copyright',
    array(
        'default' => themesflat_customize_default('footer_copyright'),
        'sanitize_callback' => 'themesflat_sanitize_text',
    )
);
$wp_customize->add_control(
    'footer_copyright',
    array(
        'label' => esc_html__( 'Copyright', 'carenow' ),
        'section' => 'section_bottom',
        'type' => 'textarea',
        'priority' => 4,
        'active_callback' => function() use ( $wp_customize ) {
            return 1 === $wp_customize->get_setting( 'show_bottom' )->value();
        },
    )
);